Subject: [DMM] FW: New Version Notification for draft-sijeon-dmm-use-cases-api-source-03.txt

From: "Seil Jeon" <[email-masked]>
Date: Tue, 22 Mar 2016 01:48:12 +0900

Hi Folks,

We have submitted updated version of the draft titled "Use Cases and API Extension for Source IP Address Selection".

Added part is Section 2.3 "Gaps in the consistency with the default address selection", describing the need of the proposed indication mechanism in the consistency with the defined rules in RFC 6724. For your convenience, the added text is as follows. Let me have your comments on the update.

------------------------------------------------------------------------------------------------------------
2.3.  Gaps in the consistency with the default address selection

   The need of an indication mechanism can be sought in the consistency
   with the former IETF standards.  For example, in [RFC6724] where
   default behavior for IPv6 is specified, without a proper indication
   mechanism, following conflicts are expected to happen.  In Rule 6 in
   [RFC6724], it is said that the matching label between source address
   of an IPv6 host and destination address is preferred among
   combinations between other source addresses and destination address,
   where the label is a numeric value representing policies that prefer
   a particular source address prefix for use with a destination address
   prefix in [RFC6724].  In Rule 8 in [RFC6724], it is said that the
   longest matching prefix between source address of an IPv6 host and
   destination address is preferred among combinations between other
   source addresses and destination address.  Following Rules 6 and 8,
   selection of a prefix may be different from the application's
   preference that it wants to get connected, e.g. in terms of optimal
   routing over the described distributed environments.
------------------------------------------------------------------------------------------------------------

[RFC6724]  Thaler, D., Ed., Draves, R., Matsumoto, A., and T. Chown,
              "Default Address Selection for Internet Protocol Version 6
              (IPv6)", RFC 6724, DOI 10.17487/RFC6724, September 2012,
              <http://www.rfc-editor.org/info/rfc6724>.

Regards,
Seil Jeon

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, March 22, 2016 1:41 AM
To: John Kaippallimalil <[email-masked]>; Younghan Kim <[email-masked]>; Seil Jeon <[email-masked]>; Young-Han Kim <[email-masked]>; Sergio Figueiredo <[email-masked]>
Subject: New Version Notification for draft-sijeon-dmm-use-cases-api-source-03.txt

A new version of I-D, draft-sijeon-dmm-use-cases-api-source-03.txt
has been successfully submitted by Seil Jeon and posted to the IETF repository.

Name:		draft-sijeon-dmm-use-cases-api-source
Revision:	03
Title:		Use Cases and API Extension for Source IP Address Selection
Document date:	2016-03-21
Group:		Individual Submission
Pages:		8
URL:            https://www.ietf.org/internet-drafts/draft-sijeon-dmm-use-cases-api-source-03.txt
Status:         https://datatracker.ietf.org/doc/draft-sijeon-dmm-use-cases-api-source/
Htmlized:       https://tools.ietf.org/html/draft-sijeon-dmm-use-cases-api-source-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-sijeon-dmm-use-cases-api-source-03

Abstract:
   This draft specifies and analyzes the expected cases regarding the
   selection of a proper source IP address and address type based on the
   application features over a distributed mobility management (DMM)
   network.  It also provides available selection methods to better
   achieve DMM goals in the specified scenarios.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat